## org.apache.http.protocol
Interface ExecutionContext

    public interface ExecutionContext

`HttpContext` attribute names for protocol execution.

Since:
  4.0

Field Summary
`static String` `HTTP_CONNECTION` Attribute name of a `HttpConnection` object that represents the actual HTTP connection.
`static String` `HTTP_PROXY_HOST` Attribute name of a `HttpHost` object that represents the connection proxy.
`static String` `HTTP_REQ_SENT` Attribute name of a `Boolean` object that represents the the flag indicating whether the actual request has been fully transmitted to the target host.
`static String` `HTTP_REQUEST` Attribute name of a `HttpRequest` object that represents the actual HTTP request.
`static String` `HTTP_RESPONSE` Attribute name of a `HttpResponse` object that represents the actual HTTP response.
`static String` `HTTP_TARGET_HOST` Attribute name of a `HttpHost` object that represents the connection target.

Field Detail

### HTTP_CONNECTION

    static final String HTTP_CONNECTION

  Attribute name of a `HttpConnection` object that represents the actual HTTP connection.

  See Also:
    Constant Field Values

### HTTP_REQUEST

    static final String HTTP_REQUEST

  Attribute name of a `HttpRequest` object that represents the actual HTTP request.

  See Also:
    Constant Field Values

### HTTP_RESPONSE

    static final String HTTP_RESPONSE

  Attribute name of a `HttpResponse` object that represents the actual HTTP response.

  See Also:
    Constant Field Values

### HTTP_TARGET_HOST

    static final String HTTP_TARGET_HOST

  Attribute name of a `HttpHost` object that represents the connection target.

  See Also:
    Constant Field Values

### HTTP_PROXY_HOST

    static final String HTTP_PROXY_HOST

  Attribute name of a `HttpHost` object that represents the connection proxy.

  See Also:
    Constant Field Values

### HTTP_REQ_SENT

    static final String HTTP_REQ_SENT

  Attribute name of a `Boolean` object that represents the the flag indicating whether the actual request has been fully transmitted to the target host.

  See Also:
    Constant Field Values

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.